> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-06-24-docs-simplify-date-zoom-usage-description.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List groups

> Get a list of groups within an organization



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/Groups
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3228.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/Groups:
    get:
      tags:
        - SCIM
      summary: List groups
      description: Get a list of groups within an organization
      operationId: GetScimGroups
      parameters:
        - description: Filter to apply to the group list (optional)
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: Index of the first group to return (optional)
          in: query
          name: startIndex
          required: false
          schema:
            type: number
            format: double
        - description: Number of groups to return (optional)
          in: query
          name: count
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimListResponse_ScimGroup_'
              examples:
                Example 1:
                  value:
                    schemas:
                      - urn:ietf:params:scim:api:messages:2.0:ListResponse
                    totalResults: 1
                    itemsPerPage: 1
                    startIndex: 1
                    Resources:
                      - schemas:
                          - urn:ietf:params:scim:schemas:core:2.0:Group
                        id: 1456c265-f375-4d64-bd33-105c84ad9b5d
                        displayName: Org 1 Editor Group
                        members:
                          - value: 80fb8b59-d6b7-4ed6-b969-9849310f3e53
                            display: demo2@lightdash.com
                        meta:
                          resourceType: Group
                          created: '2025-11-03T14:22:24.067Z'
                          lastModified: '2025-11-03T14:22:24.067Z'
                          location: >-
                            https://<tenant>.lightdash.cloud/api/v1/scim/v2/Groups/1456c265-f375-4d64-bd33-105c84ad9b5d
      security: []
components:
  schemas:
    ScimListResponse_ScimGroup_:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.LIST_RESPONSE'
          type: array
        totalResults:
          type: number
          format: double
        itemsPerPage:
          type: number
          format: double
        startIndex:
          type: number
          format: double
        Resources:
          items:
            $ref: '#/components/schemas/ScimGroup'
          type: array
      required:
        - schemas
        - totalResults
        - itemsPerPage
        - startIndex
        - Resources
      type: object
      additionalProperties: true
    ScimSchemaType.LIST_RESPONSE:
      enum:
        - urn:ietf:params:scim:api:messages:2.0:ListResponse
      type: string
    ScimGroup:
      properties:
        schemas:
          items:
            type: string
          type: array
        id:
          type: string
        meta:
          allOf:
            - properties:
                version:
                  type: string
                location:
                  type: string
                lastModified:
                  type: string
                  format: date-time
                created:
                  type: string
                  format: date-time
                resourceType:
                  type: string
              type: object
            - properties:
                location:
                  type: string
                lastModified:
                  type: string
                  format: date-time
                created:
                  type: string
                  format: date-time
                resourceType:
                  type: string
                  enum:
                    - Group
                  nullable: false
              required:
                - location
                - lastModified
                - created
                - resourceType
              type: object
        displayName:
          type: string
        members:
          items:
            $ref: '#/components/schemas/ScimGroupMember'
          type: array
      required:
        - schemas
        - id
        - displayName
        - meta
      type: object
      additionalProperties: true
    ScimGroupMember:
      properties:
        value:
          type: string
        display:
          type: string
      required:
        - value
      type: object
      additionalProperties: true

````